body {
  background-color:red;
  margin: 20px 30px;
  font-size: 20px;
  text-align: center;
  margin: auto;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.nav {
  font-size: 20px;
}
.nav ul {
    list-style: none;
}

.nav li {
  display: inline-block;
}

.nav a {
    padding: 1em;
    display: block;
    text-decoration: none;
}

.nav .menu {
    display: flex; /*1*/
}

nav + ul > li {
  font-size: 20px;
}

label, input, select {
  margin: 16px 0;
}

label {
  font-size: 20px;
  color: gray;
}

.field{ 
  display:block;
  border: none;
}

.field:after {
  margin: auto;
  display:block;
  content: '';
  width:80%;
  border-bottom: solid 3px #019fb6;  
  transform: scaleX(0);  
  transition: transform 250ms ease-in-out;
}
.field:hover:after { transform: scaleX(1); }

.hidden > label > input, .hidden{
  display: none;
}

input {
  width: 90%;
  border-width: 0px;
  font-size: 20px;
  outline: none;
  display: inline-block;
  text-align: center;
}

button, select {
  width: 80%;
  display: block;
  height: 40px;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  font-size:16px;
}

button {
  background-color: lightgray;
  color: black;
  padding: 0px 25px;
  background-image: linear-gradient(to left,
                                    transparent,
                                    transparent 50%,
                                    rgb(243, 243, 243),
                                    rgb(243, 243, 243));
  background-position: 100% 0;
  background-size: 200% 100%;
  transition: all .25s ease-in;
  border: 2px solid white;
  border-radius: 6px;
}

button:hover {
  background-color: rgb(243, 243, 243);
  -webkit-transition: all .35s ease;
  -o-transition: all .35s ease;
  transition: all .35s ease;
}

table,
td {
  border: 1px solid #333;
  border-color: lightgray;
}

thead,
tfoot {
  background-color: #333;
  color: #fff;
}

th {
  display: inline-block;
  margin: 4px;
}
